
From: Andries Brouwer <Andries.Brouwer@cwi.nl>

The routine afs_rxvl_probe() is unused and could be removed.  (I only put
#if 0 around it.)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/afs/inode.c     |    5 +++--
 25-akpm/fs/afs/vlclient.c  |    6 ++++--
 25-akpm/fs/afs/vlclient.h  |    3 ---
 25-akpm/fs/afs/vlocation.c |    3 ++-
 25-akpm/fs/afs/vnode.c     |    6 +++---
 25-akpm/fs/afs/volume.h    |    1 -
 6 files changed, 12 insertions(+), 12 deletions(-)

diff -puN fs/afs/inode.c~add-static-in-afs fs/afs/inode.c
--- 25/fs/afs/inode.c~add-static-in-afs	2004-09-05 15:03:42.646270128 -0700
+++ 25-akpm/fs/afs/inode.c	2004-09-05 15:03:42.657268456 -0700
@@ -93,9 +93,10 @@ static int afs_inode_map_status(struct a
 
 /*****************************************************************************/
 /*
- * attempt to fetch the status of an inode, coelescing multiple simultaneous fetches
+ * attempt to fetch the status of an inode, coelescing multiple simultaneous
+ * fetches
  */
-int afs_inode_fetch_status(struct inode *inode)
+static int afs_inode_fetch_status(struct inode *inode)
 {
 	struct afs_vnode *vnode;
 	int ret;
diff -puN fs/afs/vlclient.c~add-static-in-afs fs/afs/vlclient.c
--- 25/fs/afs/vlclient.c~add-static-in-afs	2004-09-05 15:03:42.647269976 -0700
+++ 25-akpm/fs/afs/vlclient.c	2004-09-05 15:03:42.658268304 -0700
@@ -89,11 +89,12 @@ static void afs_rxvl_aemap(struct rxrpc_
 	}
 } /* end afs_rxvl_aemap() */
 
+#if 0
 /*****************************************************************************/
 /*
- * probe a volume location server to see if it is still alive
+ * probe a volume location server to see if it is still alive -- unused
  */
-int afs_rxvl_probe(struct afs_server *server, int alloc_flags)
+static int afs_rxvl_probe(struct afs_server *server, int alloc_flags)
 {
 	struct rxrpc_connection *conn;
 	struct rxrpc_call *call;
@@ -173,6 +174,7 @@ int afs_rxvl_probe(struct afs_server *se
 	return ret;
 
 } /* end afs_rxvl_probe() */
+#endif
 
 /*****************************************************************************/
 /*
diff -puN fs/afs/vlclient.h~add-static-in-afs fs/afs/vlclient.h
--- 25/fs/afs/vlclient.h~add-static-in-afs	2004-09-05 15:03:42.649269672 -0700
+++ 25-akpm/fs/afs/vlclient.h	2004-09-05 15:03:42.658268304 -0700
@@ -71,9 +71,6 @@ struct afs_vldbentry {
 
 };
 
-/* probe a volume location server to see if it is still alive */
-extern int afs_rxvl_probe(struct afs_server *server, int alloc_flags);
-
 /* look up a volume location database entry by name */
 extern int afs_rxvl_get_entry_by_name(struct afs_server *server,
 				      const char *volname,
diff -puN fs/afs/vlocation.c~add-static-in-afs fs/afs/vlocation.c
--- 25/fs/afs/vlocation.c~add-static-in-afs	2004-09-05 15:03:42.650269520 -0700
+++ 25-akpm/fs/afs/vlocation.c	2004-09-05 15:03:42.659268152 -0700
@@ -29,6 +29,7 @@
 static void afs_vlocation_update_timer(struct afs_timer *timer);
 static void afs_vlocation_update_attend(struct afs_async_op *op);
 static void afs_vlocation_update_discard(struct afs_async_op *op);
+static void __afs_put_vlocation(struct afs_vlocation *vlocation);
 
 static void __afs_vlocation_timeout(struct afs_timer *timer)
 {
@@ -455,7 +456,7 @@ int afs_vlocation_lookup(struct afs_cell
  * finish using a volume location record
  * - caller must have cell->vol_sem write-locked
  */
-void __afs_put_vlocation(struct afs_vlocation *vlocation)
+static void __afs_put_vlocation(struct afs_vlocation *vlocation)
 {
 	struct afs_cell *cell;
 
diff -puN fs/afs/vnode.c~add-static-in-afs fs/afs/vnode.c
--- 25/fs/afs/vnode.c~add-static-in-afs	2004-09-05 15:03:42.652269216 -0700
+++ 25-akpm/fs/afs/vnode.c	2004-09-05 15:03:42.659268152 -0700
@@ -86,9 +86,9 @@ static void afs_vnode_cb_timed_out(struc
  * - starts callback expiry timer
  * - adds to server's callback list
  */
-void afs_vnode_finalise_status_update(struct afs_vnode *vnode,
-				      struct afs_server *server,
-				      int ret)
+static void afs_vnode_finalise_status_update(struct afs_vnode *vnode,
+					     struct afs_server *server,
+					     int ret)
 {
 	struct afs_server *oldserver = NULL;
 
diff -puN fs/afs/volume.h~add-static-in-afs fs/afs/volume.h
--- 25/fs/afs/volume.h~add-static-in-afs	2004-09-05 15:03:42.654268912 -0700
+++ 25-akpm/fs/afs/volume.h	2004-09-05 15:03:42.660268000 -0700
@@ -99,7 +99,6 @@ extern int afs_vlocation_lookup(struct a
 
 #define afs_get_vlocation(V) do { atomic_inc(&(V)->usage); } while(0)
 
-extern void __afs_put_vlocation(struct afs_vlocation *vlocation);
 extern void afs_put_vlocation(struct afs_vlocation *vlocation);
 extern void afs_vlocation_do_timeout(struct afs_vlocation *vlocation);
 
_
